Package oracle.jdbc.datasource.impl

## Class OracleDataSourceFactory

- java.lang.Object
- - oracle.jdbc.datasource.impl.OracleDataSourceFactory

All Implemented Interfaces:
  `javax.naming.spi.ObjectFactory`

Direct Known Subclasses:
  `OracleDataSourceFactory`

    public class OracleDataSourceFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

A factory for creating an Oracle datasource.

### Constructor Summary

Constructors
`OracleDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected oracle.jdbc.internal.OracleConnection` `getConnectionDuringExceptionHandling()`
`java.lang.Object` `getObjectInstance​(java.lang.Object refObj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable env)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OracleDataSourceFactory

    public OracleDataSourceFactory()

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance​(java.lang.Object refObj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable env)
                                       throws java.lang.Exception

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Throws:
  `java.lang.Exception`

#### getConnectionDuringExceptionHandling

    protected oracle.jdbc.internal.OracleConnection getConnectionDuringExceptionHandling()